<?php
//Feldolgozó logika
function szures($filmek, $cim = '')
{
	$szurt = array();
	foreach ($filmek as $film) {
		if ($cim == '' || stripos($film['cim'], $cim) !== false) {
			$szurt[] = $film;
		}
	}
	return $szurt;
}

//Beolvasás
$filmLista = array(
	array(
		'cim'			=> 'A hobbit',
		'megjelenes'	=> 2012,
		'hossz'			=> 169,
		'kategoria'		=> 'Kalandfilm, Fantasy',
	),
	array(
		'cim'			=> 'Zavaros vizek',
		'megjelenes'	=> 2008,
		'hossz'			=> 115,
		'kategoria'		=> 'Dráma',
	),
	array(
		'cim'			=> 'Holdfény királyság',
		'megjelenes'	=> 2012,
		'hossz'			=> 94,
		'kategoria'		=> 'Komédia, Dráma',
	),
);
$cimReszlet = 'ho';

//Feldolgozás
$filmek = szures($filmLista, $cimReszlet);

//Kiírás
?>
<!doctype html>
<html>
<head>
	<meta charset="utf-8">
	<title></title>
</head>
<body>
	<h1>Filmlista</h1>
	<table>
		<tr>
			<th>Cím</th>
			<th>Megjelenés</th>
			<th>Hossz</th>
			<th>Kategória</th>
		</tr>
		<?php foreach($filmek as $film) : ?>
		<tr>
			<td><?php echo $film['cim']; ?></td>
			<td><?php echo $film['megjelenes']; ?></td>
			<td><?php echo $film['hossz']; ?></td>
			<td><?php echo $film['kategoria']; ?></td>
		</tr>
		<?php endforeach; ?>
	</table>
</body>
</html>